import { INavigator, IWindow } from '../apis';
import { Control, TriggerControl } from '../core/control';
import { Vector2 } from '../utils/math';
export interface GamepadStick {
    label: string;
    xAxis: number;
    yAxis: number;
}
export declare class Gamepad {
    private window;
    private navigator;
    private pressedButtons;
    private gamepadIndex;
    private gamepadTimestamp;
    constructor({ win, nav }?: {
        win?: IWindow;
        nav?: INavigator;
    });
    isConnected(): boolean;
    private readonly gamepad;
    button(button: number | string): TriggerControl<boolean>;
    stick(stick: string | GamepadStick): Control<Vector2>;
}
